prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- Oracle APEX export file
--
-- You should run this script using a SQL client connected to the database as
-- the owner (parsing schema) of the application or as a database user with the
-- APEX_ADMINISTRATOR_ROLE role.
--
-- This export file has been automatically generated. Modifying this file is not
-- supported by Oracle and can lead to unexpected application and/or instance
-- behavior now or in the future.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_imp.import_begin (
 p_version_yyyy_mm_dd=>'2023.10.31'
,p_release=>'23.2.1'
,p_default_workspace_id=>12532219612884793896
,p_default_application_id=>175013
,p_default_id_offset=>0
,p_default_owner=>'HERWIX'
);
end;
/
 
prompt APPLICATION 175013 - Template Component
--
-- Application Export:
--   Application:     175013
--   Name:            Template Component
--   Date and Time:   14:45 Monday January 15, 2024
--   Exported By:     T.HERWIX@GOOGLEMAIL.COM
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PLUGIN: 125220658548896879075
--   Manifest End
--   Version:         23.2.1
--   Instance ID:     63113759365424
--

begin
  -- replace components
  wwv_flow_imp.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/template_component/de_therwix_responsive_number_counter
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(125220658548896879075)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '')
,p_name=>'DE.THERWIX.RESPONSIVE_NUMBER_COUNTER'
,p_display_name=>'Responsive Number Counting'
,p_supported_component_types=>'PARTIAL:REPORT'
,p_javascript_file_urls=>'#PLUGIN_FILES#responsive_counter#MIN#.js'
,p_css_file_urls=>'#PLUGIN_FILES#responsive_counter#MIN#.css'
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if APEX$IS_LAZY_LOADING/}',
'  <div></div>',
'{else/}',
'    <div class="tc_col"> ',
'        <span class="tc_icon fa #ICON# fa-5x"></span>',
'        <h2 data-max="#VALUE#" data-duration="#DURATION#" data-easing="#EASING#">+ #TEXT#</h2>',
'    </div>',
'{endif/}'))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>2
,p_report_body_template=>'<div class="tc_div">#APEX$ROWS#</div>'
,p_report_row_template=>'<div class="tc_row" #APEX$ROW_IDENTIFICATION#>#APEX$PARTIAL#</div>'
,p_report_placeholder_count=>3
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_version_identifier=>'1.2'
,p_files_version=>29
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(125220658828067879102)
,p_plugin_id=>wwv_flow_imp.id(125220658548896879075)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'ICON'
,p_prompt=>'Icon'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(125220659267582879103)
,p_plugin_id=>wwv_flow_imp.id(125220658548896879075)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'TEXT'
,p_prompt=>'Text'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(125220659644873879104)
,p_plugin_id=>wwv_flow_imp.id(125220658548896879075)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_static_id=>'VALUE'
,p_prompt=>'Value'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(98330497002071309778)
,p_plugin_id=>wwv_flow_imp.id(125220658548896879075)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'DURATION'
,p_prompt=>'Duration (ms)'
,p_attribute_type=>'INTEGER'
,p_is_required=>true
,p_default_value=>'5000'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'2500',
'5000'))
,p_help_text=>'Duration of the animation in milliseconds.'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(98336735070862357569)
,p_plugin_id=>wwv_flow_imp.id(125220658548896879075)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_static_id=>'EASING'
,p_prompt=>'Easing Function'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'linear'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'Change the number animation curve.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(98336758451380359470)
,p_plugin_attribute_id=>wwv_flow_imp.id(98336735070862357569)
,p_display_sequence=>10
,p_display_value=>'Linear'
,p_return_value=>'linear'
,p_help_text=>'Linear animation the whole duration.'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(98336784837832362604)
,p_plugin_attribute_id=>wwv_flow_imp.id(98336735070862357569)
,p_display_sequence=>20
,p_display_value=>'Ease out'
,p_return_value=>'easeOutCirc'
,p_help_text=>'Start quick and slow down to the end.'
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '242E657874656E6428242E656173696E672C7B656173654F7574436972633A66756E6374696F6E286E2C742C612C692C6F297B72657475726E20692A4D6174682E7371727428312D28743D742F6F2D31292A74292B617D7D293B636F6E73742045415345';
wwv_flow_imp.g_varchar2_table(2) := '5F4C494E4541523D226C696E656172222C454153455F4F55543D22656173654F757443697263222C414C4C5F454153455F4643533D5B226C696E656172222C454153455F4F55545D3B242877696E646F77292E6F6E28226C6F6164222C2866756E637469';
wwv_flow_imp.g_varchar2_table(3) := '6F6E28297B66756E6374696F6E206E286E297B76617220743D242877696E646F77292E7363726F6C6C546F7028292C613D742B242877696E646F77292E68656967687428292C693D6E2E6F666673657428292E746F703B692B6E2E68656967687428293C';
wwv_flow_imp.g_varchar2_table(4) := '3D612626693E3D74262666756E6374696F6E286E297B696628216E2E686173436C61737328226D732D616E696D617465642229297B76617220743D6E2E6461746128226D617822292C613D7061727365496E74286E2E6461746128226475726174696F6E';
wwv_flow_imp.g_varchar2_table(5) := '2229292C693D6E2E646174612822656173696E6722293B414C4C5F454153455F4643532E696E636C756465732869297C7C28617065782E64656275672E7761726E28605B526573706F6E73697665204E756D62657220436F756E74696E675D3A20556E6B';
wwv_flow_imp.g_varchar2_table(6) := '6E6F776E20656173696E672066756E6374696F6E2022247B697D222E2046616C6C6261636B20746F206C696E6561722E2E2E60292C693D226C696E65617222293B766172206F3D6E2E68746D6C28293B6E2E616464436C61737328226D732D616E696D61';
wwv_flow_imp.g_varchar2_table(7) := '74656422292C24287B636F756E744E756D3A6E2E68746D6C28297D292E616E696D617465287B636F756E744E756D3A747D2C7B6475726174696F6E3A613F3F3565332C656173696E673A692C737465703A66756E6374696F6E28297B6E2E68746D6C284D';
wwv_flow_imp.g_varchar2_table(8) := '6174682E666C6F6F7228746869732E636F756E744E756D292B6F297D2C636F6D706C6574653A66756E6374696F6E28297B6E2E68746D6C28746869732E636F756E744E756D2B6F297D7D297D7D286E297D66756E6374696F6E207428297B24282268325B';
wwv_flow_imp.g_varchar2_table(9) := '646174612D6D61785D22292E65616368282866756E6374696F6E28297B6E2824287468697329297D29297D242877696E646F77292E7363726F6C6C282866756E6374696F6E28297B7428297D29292C7428297D29293B';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(98334947142685663448)
,p_plugin_id=>wwv_flow_imp.id(125220658548896879075)
,p_file_name=>'responsive_counter.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2E74635F69636F6E207B0A2020636F6C6F723A207465616C3B0A7D0A0A2E74635F646976207B0A20202020646973706C61793A20677269643B0A20202020677269642D74656D706C6174652D636F6C756D6E733A203166723B0A7D0A0A406D656469610A';
wwv_flow_imp.g_varchar2_table(2) := '20286D696E2D77696474683A2031313430707829207B0A202020202E74635F646976207B0A2020202020202020677269642D74656D706C6174652D636F6C756D6E733A203166722031667220316672203166723B0A202020207D0A7D0A0A406D65646961';
wwv_flow_imp.g_varchar2_table(3) := '0A20286D696E2D77696474683A2036303070782920616E6420286D61782D77696474683A2031313339707829207B0A202020202E74635F646976207B0A2020202020202020677269642D74656D706C6174652D636F6C756D6E733A20316672203166723B';
wwv_flow_imp.g_varchar2_table(4) := '0A202020207D0A7D0A0A2E74635F726F77207B0A2020646973706C61793A20626C6F636B3B20200A7D0A0A2E74635F636F6C207B0A2020646973706C61793A20666C65783B0A2020666C65782D646972656374696F6E3A20636F6C756D6E3B0A20206A75';
wwv_flow_imp.g_varchar2_table(5) := '73746966792D636F6E74656E743A2063656E7465723B0A2020616C69676E2D6974656D733A2063656E7465723B0A202070616464696E672D72696768743A20313570783B0A202070616464696E672D6C6566743A20313570783B0A7D';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(125220660043397916238)
,p_plugin_id=>wwv_flow_imp.id(125220658548896879075)
,p_file_name=>'responsive_counter.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '242E657874656E6428242E656173696E672C0A7B0A20202020656173654F7574436972633A2066756E6374696F6E2028782C20742C20622C20632C206429207B0A202020202020202072657475726E2063202A204D6174682E737172742831202D202874';
wwv_flow_imp.g_varchar2_table(2) := '3D742F642D31292A7429202B20623B0A202020207D2C0A7D293B0A0A636F6E737420454153455F4C494E454152203D20276C696E656172273B0A636F6E737420454153455F4F5554203D2027656173654F757443697263273B0A636F6E737420414C4C5F';
wwv_flow_imp.g_varchar2_table(3) := '454153455F464353203D205B454153455F4C494E4541522C20454153455F4F55545D3B0A0A242877696E646F77292E6F6E28276C6F6164272C2066756E6374696F6E28297B0A0A2020202066756E6374696F6E20696E56697369626C6528656C656D656E';
wwv_flow_imp.g_varchar2_table(4) := '7429207B0A20202020202020207661722057696E646F77546F70203D20242877696E646F77292E7363726F6C6C546F7028293B0A20202020202020207661722057696E646F77426F74746F6D203D2057696E646F77546F70202B20242877696E646F7729';
wwv_flow_imp.g_varchar2_table(5) := '2E68656967687428293B0A202020202020202076617220456C656D656E74546F70203D20656C656D656E742E6F666673657428292E746F703B0A202020202020202076617220456C656D656E74426F74746F6D203D20456C656D656E74546F70202B2065';
wwv_flow_imp.g_varchar2_table(6) := '6C656D656E742E68656967687428293B0A0A20202020202020206966202828456C656D656E74426F74746F6D203C3D2057696E646F77426F74746F6D2920262620456C656D656E74546F70203E3D2057696E646F77546F70290A20202020202020202020';
wwv_flow_imp.g_varchar2_table(7) := '2020616E696D61746528656C656D656E74293B0A202020207D202020200A202020200A2020202066756E6374696F6E20616E696D61746528656C656D656E7429207B0A20202020202020206966202821656C656D656E742E686173436C61737328276D73';
wwv_flow_imp.g_varchar2_table(8) := '2D616E696D61746564272929207B0A202020202020202020202020766172206D617876616C203D20656C656D656E742E6461746128276D617827293B0A202020202020202020202020766172206475726174696F6E203D207061727365496E7428656C65';
wwv_flow_imp.g_varchar2_table(9) := '6D656E742E6461746128276475726174696F6E2729293B0A20202020202020202020202076617220656173696E67203D20656C656D656E742E646174612827656173696E6727293B0A0A2020202020202020202020206966202821414C4C5F454153455F';
wwv_flow_imp.g_varchar2_table(10) := '4643532E696E636C7564657328656173696E672929207B0A2020202020202020202020202020617065782E64656275672E7761726E28605B526573706F6E73697665204E756D62657220436F756E74696E675D3A20556E6B6E6F776E20656173696E6720';
wwv_flow_imp.g_varchar2_table(11) := '66756E6374696F6E2022247B656173696E677D222E2046616C6C6261636B20746F206C696E6561722E2E2E60293B0A2020202020202020202020202020656173696E67203D20454153455F4C494E4541523B0A2020202020202020202020207D3B0A0A20';
wwv_flow_imp.g_varchar2_table(12) := '20202020202020202020207661722068746D6C203D20656C656D656E742E68746D6C28293B0A202020202020202020202020656C656D656E742E616464436C61737328226D732D616E696D6174656422293B0A20202020202020202020202024287B636F';
wwv_flow_imp.g_varchar2_table(13) := '756E744E756D3A20656C656D656E742E68746D6C28297D292E616E696D617465280A202020202020202020202020202020207B636F756E744E756D3A206D617876616C7D2C200A202020202020202020202020202020207B0A2020202020202020202020';
wwv_flow_imp.g_varchar2_table(14) := '2020202020202020206475726174696F6E3A206475726174696F6E203F3F20353030302C0A2020202020202020202020202020202020202020656173696E673A20656173696E672C0A2020202020202020202020202020202020202020737465703A2066';
wwv_flow_imp.g_varchar2_table(15) := '756E6374696F6E2829207B0A202020202020202020202020202020202020202020202020656C656D656E742E68746D6C284D6174682E666C6F6F7228746869732E636F756E744E756D29202B2068746D6C293B0A20202020202020202020202020202020';
wwv_flow_imp.g_varchar2_table(16) := '202020207D2C0A2020202020202020202020202020202020202020636F6D706C6574653A2066756E6374696F6E2829207B0A202020202020202020202020202020202020202020202020656C656D656E742E68746D6C28746869732E636F756E744E756D';
wwv_flow_imp.g_varchar2_table(17) := '202B2068746D6C293B0A20202020202020202020202020202020202020207D0A202020202020202020202020202020207D0A202020202020202020202020293B0A20202020202020207D0A202020207D2020202020202020202020200A20202020202020';
wwv_flow_imp.g_varchar2_table(18) := '200A2020202066756E6374696F6E20737461727428297B0A202020202020202024282268325B646174612D6D61785D22292E656163682866756E6374696F6E2829207B0A20202020202020202020202020202020696E56697369626C6528242874686973';
wwv_flow_imp.g_varchar2_table(19) := '29293B0A2020202020202020202020207D293B200A202020207D0A20202020202020200A20202020242877696E646F77292E7363726F6C6C2866756E6374696F6E2829207B0A2020202020202020737461727428293B0A202020207D293B0A0A20202020';
wwv_flow_imp.g_varchar2_table(20) := '737461727428293B0A7D29';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(125220663079318091499)
,p_plugin_id=>wwv_flow_imp.id(125220658548896879075)
,p_file_name=>'responsive_counter.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2E74635F69636F6E7B636F6C6F723A7465616C7D2E74635F6469767B646973706C61793A677269643B677269642D74656D706C6174652D636F6C756D6E733A3166727D406D6564696120286D696E2D77696474683A313134307078297B2E74635F646976';
wwv_flow_imp.g_varchar2_table(2) := '7B677269642D74656D706C6174652D636F6C756D6E733A3166722031667220316672203166727D7D406D6564696120286D696E2D77696474683A36303070782920616E6420286D61782D77696474683A313133397078297B2E74635F6469767B67726964';
wwv_flow_imp.g_varchar2_table(3) := '2D74656D706C6174652D636F6C756D6E733A316672203166727D7D2E74635F726F777B646973706C61793A626C6F636B7D2E74635F636F6C7B646973706C61793A666C65783B666C65782D646972656374696F6E3A636F6C756D6E3B6A7573746966792D';
wwv_flow_imp.g_varchar2_table(4) := '636F6E74656E743A63656E7465723B616C69676E2D6974656D733A63656E7465723B70616464696E672D72696768743A313570783B70616464696E672D6C6566743A313570787D';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(128483338381164976816)
,p_plugin_id=>wwv_flow_imp.id(125220658548896879075)
,p_file_name=>'responsive_counter.min.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/end_environment
begin
wwv_flow_imp.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
